<div class="px-14 mt-14">
  <div class="text-[#1B5A7D] block lg:flex justify-between">
    <h2 class="text-xl sm:text-2xl font-semibold mb-4 mt-5 lg:mt-0">Popular products</h2>
    <div class="grid grid-cols-4 gap-4">
      <div
        class="sm:w-[140px] border-[1px] border-[#B5B5B5] rounded-[20px] h-[45px] flex justify-center items-center font-medium cursor-pointer hover:text-[#EDA415]">
        <span>Cameras</span>
      </div>
      <div
        class="sm:w-[140px] border-[1px] border-[#B5B5B5] rounded-[20px] h-[45px] flex justify-center items-center font-medium cursor-pointer hover:text-[#EDA415]">
        <span>Laptops</span>
      </div>
      <div
        class="sm:w-[140px] border-[1px] border-[#B5B5B5] rounded-[20px] h-[45px] flex justify-center items-center font-medium cursor-pointer hover:text-[#EDA415]">
        <span>Tablets</span>
      </div>
      <div
        class="sm:w-[140px] border-[1px] border-[#B5B5B5] rounded-[20px] h-[45px] flex justify-center items-center font-medium cursor-pointer hover:text-[#EDA415]">
        <span>Mouse</span>
      </div>
    </div>
  </div>
  <div class="grid justify-between grid-cols-1 sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-4 gap-6 mt-10 lg:mt-14">
    <div *ngFor="let product of products"
      class="w-full sm:max-w-[333.83px] h-[313px] border-[1px] border-[#B5B5B5] rounded-[20px] font-medium py-6 px-4 relative group">
      <app-product-client [product]="product"></app-product-client>
    </div>
  </div>
  <app-banner></app-banner>
</div>